Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 594954 - media-gfx/darktable-9999 - CMake Error at doc/CMakeLists.txt:5 (install): install FILES given directory "../" to install.
Summary: media-gfx/darktable-9999 - CMake Error at doc/CMakeLists.txt:5 (install): i...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-23 20:16 UTC by Wolfgang Goetz
Modified: 2019-03-09 15:35 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fixed darktable-9999.ebuild (darktable-9999.ebuild,3.56 KB, text/plain)
2016-09-23 20:16 UTC, Wolfgang Goetz
Details
patched ebuild (darktable-9999.ebuild,3.69 KB, text/plain)
2016-11-30 10:55 UTC, Helmut Jarausch
Details
build log (darktable-9999.build,119.70 KB, text/plain)
2017-01-03 18:45 UTC, Helmut Jarausch
Details
ebuild, currently working (darktable-9999-r7.ebuild,3.74 KB, text/plain)
2017-04-30 08:16 UTC, Kristian Niemi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Goetz 2016-09-23 20:16:53 UTC
Created attachment 447652 [details]
fixed darktable-9999.ebuild

Hi,
following the partial error output and the proposed fix.
kind regards
Wolfgang


emerge darktable
----------------

[...]
CMake Error at doc/CMakeLists.txt:5 (install):
  install FILES given directory "../" to install.


-- 
-- Found Java: /usr/bin/java (found version "1.8.0.102") 

[...]

 * ERROR: media-gfx/darktable-9999::gentoo failed (configure phase):
 *   cmake failed
 * 
 * Call stack:
 *     ebuild.sh, line  133:  Called src_configure
 *   environment, line 3992:  Called cmake-utils_src_configure
 *   environment, line 1148:  Called _cmake_execute_optionally 'src_configure'
 *   environment, line  426:  Called enable_cmake-utils_src_configure
 


this change is fixing the build:
--------------------------------

--- /usr/portage/media-gfx/darktable/darktable-9999.ebuild	2016-08-12 21:11:55.000000000 +0200
+++ darktable-9999.ebuild	2016-09-23 21:56:09.397379292 +0200
@@ -76,7 +76,7 @@
 
 	sed -e "s:\(/share/doc/\)darktable:\1${PF}:" \
 		-e "s:\(\${SHARE_INSTALL}/doc/\)darktable:\1${PF}:" \
-		-e "s:LICENSE::" \
+		-e "s:../LICENSE::" \
 		-i doc/CMakeLists.txt || die
 
 	cmake-utils_src_prepare
Comment 1 Nick 2016-10-06 18:56:26 UTC
The proposed patch works for me, too.
Comment 2 Alex 2016-11-14 02:26:05 UTC
Can confirm, darktable-9999 was failing with same error before I applied the patch.
Comment 3 Markus Meier gentoo-dev 2016-11-26 10:14:36 UTC
Is this still an issue? Looks like upstream already fixed it:

https://github.com/darktable-org/darktable/commit/3966d04c86f81afd4d521ea3b4dbe60bee57ce51
Comment 4 Helmut Jarausch 2016-11-29 21:57:42 UTC
(In reply to Markus Meier from comment #3)
> Is this still an issue? Looks like upstream already fixed it:
> 
> https://github.com/darktable-org/darktable/commit/
> 3966d04c86f81afd4d521ea3b4dbe60bee57ce51

Unfortunately, there is a new error now

/var/tmp/portage/media-gfx/darktable-9999/work/darktable-9999_build/src/config.h:7:0: error: "PACKAGE_NAME" redefined [-Werror]
 #define PACKAGE_NAME "darktable"
 ^
In file included from /usr/include/OpenEXR/ImfNamespace.h:78:0,
                 from /usr/include/OpenEXR/ImfName.h:48,
                 from /usr/include/OpenEXR/ImfChannelList.h:47,
                 from /var/tmp/portage/media-gfx/darktable-9999/work/darktable-9999/src/imageio/format/exr.cc:27:
/usr/include/OpenEXR/OpenEXRConfig.h:104:0: note: this is the location of the previous definition
 #define PACKAGE_NAME "OpenEXR"


and

/var/tmp/portage/media-gfx/darktable-9999/work/darktable-9999_build/src/config.h:8:0: error: "PACKAGE_BUGREPORT" redefined [-Werror]
 #define PACKAGE_BUGREPORT "darktable-dev@lists.darktable.org"
 ^
In file included from /usr/include/OpenEXR/ImfNamespace.h:78:0,
                 from /usr/include/OpenEXR/ImfName.h:48,
                 from /usr/include/OpenEXR/ImfChannelList.h:47,
                 from /var/tmp/portage/media-gfx/darktable-9999/work/darktable-9999/src/imageio/format/exr.cc:27:
/usr/include/OpenEXR/OpenEXRConfig.h:101:0: note: this is the location of the previous definition
 #define PACKAGE_BUGREPORT ""
Comment 5 Helmut Jarausch 2016-11-30 10:55:44 UTC
Created attachment 454760 [details]
patched ebuild

As a work around one can undefined the macros PACKAGE_NAME and PACKAGE_BUGREPORT
just after the inclusion of the OpenEXR files.

I consider it as a bug if a public header file (here from OpenEXR) 
defines macros with such generic names.
Comment 6 Helmut Jarausch 2017-01-03 18:45:36 UTC
Created attachment 458570 [details]
build log
Comment 7 Helmut Jarausch 2017-01-03 18:55:55 UTC
Unfortunately, there is a new problem
jsonschema: error: argument -i/--instance: invalid _json_file value: '/var/tmp/portage/media-gfx/darktable-9999/work/darktable-9999/data/noiseprofiles.json'
Comment 8 Wolfgang Goetz 2017-03-22 21:05:44 UTC
actual breakage:
----------------
[...]
CMake Error at src/external/rawspeed/cmake/build-type.cmake:31 (message):
  Unknown build type: GENTOO.  Please specify one of:
  DEBUG;RELWITHDEBINFO;RELEASE;COVERAGE;SANITIZE
[...]
 * Messages for package media-gfx/darktable-9999:

 * ERROR: media-gfx/darktable-9999::gentoo failed (configure phase):
 *   cmake failed
[...]



q&d fix:
--------
sudo CMAKE_BUILD_TYPE=RELWITHDEBINFO emerge darktable
Comment 9 Kristian Niemi 2017-04-30 08:15:04 UTC
(In reply to Wolfgang Goetz from comment #8)
> actual breakage:
> ----------------
> [...]
> CMake Error at src/external/rawspeed/cmake/build-type.cmake:31 (message):
>   Unknown build type: GENTOO.  Please specify one of:
>   DEBUG;RELWITHDEBINFO;RELEASE;COVERAGE;SANITIZE
> [...]
>  * Messages for package media-gfx/darktable-9999:
> 
>  * ERROR: media-gfx/darktable-9999::gentoo failed (configure phase):
>  *   cmake failed
> [...]
> 
> 
> 
> q&d fix:
> --------
> sudo CMAKE_BUILD_TYPE=RELWITHDEBINFO emerge darktable

Just confirming that adding 'CMAKE_BUILD_TYPE=RELWITHDEBINFO' to the ebuild fixes this particular breakage.
Comment 10 Kristian Niemi 2017-04-30 08:16:38 UTC
Created attachment 471372 [details]
ebuild, currently working

Here's an ebuild I use personally, which at least for the moment works.